$(document).ready(function() {
	$("input[name='selectedContractName']").css("cursor", "pointer");
	$("input[name='selectedContractName']").autocomplete({
		delay: 300,
		minLength: 0,
		source: function(request, response) {
			$.getJSON("/wfe/ajaxcmd?command=sqlGetContracts", {
				filter: request.term + "%"
			}, response);
		},
		select: function(event, ui) {
			if (ui.item.value != $("input[name='selectedContractId']").val()) {
				$("input[name='selectedContractId']").val(ui.item.value);
				$("input[name='selectedContractName']").val(ui.item.label);
				$("input[name='selectedOrderId']").val("");
				$("input[name='selectedOrderName']").val("");
				$("input[name='remainingSum']").val("");
			}
			return false;
		}
	});
	$("input[name='selectedContractName']").focus(function() {
		$(this).autocomplete("search", $(this).val());
	});

	$("input[name='selectedOrderName']").css("cursor", "pointer");
	$("input[name='selectedOrderName']").autocomplete({
		delay: 300,
		minLength: 0,
		source: function(request, response) {
			var selectedContractId = $("input[name='selectedContractId']").val();
			if (selectedContractId) {
				$.getJSON("/wfe/ajaxcmd?command=sqlGetOrders", {
					contractId: selectedContractId,
					filter: request.term + "%"
				}, response);
			} else {
				response([{"value": "", "label": "Сначала выберите договор"}]);
			}
		},
		select: function(event, ui) {
			if (!ui.item.value) {
				return false;
			}
			if (ui.item.value != $("input[name='selectedOrderId']").val()) {
				$("input[name='selectedOrderId']").val(ui.item.value);
				$("input[name='selectedOrderName']").val(ui.item.label);
				$("input[name='remainingSum']").val("");
				$.getJSON("/wfe/ajaxcmd?command=sqlGetBalances", {
						contractId: $("input[name='selectedContractId']").val(),
						orderId: $("input[name='selectedOrderId']").val()
					}, function(data) {
						$("input[name='remainingSum']").val(data[0].remainingSum ? data[0].remainingSum : "null");
					}
				);
			}
			return false;
		}
	});
	$("input[name='selectedOrderName']").focus(function() {
		$(this).autocomplete("search", $(this).val());
	});

	$("input[name='selectedContractId'], input[name='selectedOrderId'], input[name='remainingSum']").attr("readonly", "true").attr("placeholder", "read-only");
});
